Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Interface PasswordCallback

    public interface PasswordCallback

PasswordCallback Interface

Version:
  $Id: PasswordCallback.java 939351 2010-04-29 15:41:54Z kkolinko $
Author:
  Mladen Turk

Method Summary
`java.lang.String` | `callback(java.lang.String prompt)` Called when the password is required

Method Detail

### callback

    java.lang.String callback(java.lang.String prompt)

  Called when the password is required

  Parameters:
    `prompt` - Password prompt
  Returns:
    Valid password or null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.